> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neynar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Deploy fungible

> Creates a new token.
This is an allowlisted API, reach out if you want access.

<Info>
  ### Related tutorial: [Deploy a token with 1 API call](/docs/deploy-token-on-base-with-api-call)
</Info>

## Node.js SDK

🔗 **SDK Method:** [deployFungible](/nodejs-sdk/onchain-apis/deployFungible)

Use this API endpoint with the Neynar Node.js SDK for typed responses and better developer experience.


## OpenAPI

````yaml post /v2/fungible/
openapi: 3.0.4
info:
  contact:
    email: team@neynar.com
    name: Neynar
    url: https://neynar.com/
  description: >-
    The Neynar API allows you to interact with the Farcaster protocol among
    other things. See the [Neynar docs](https://docs.neynar.com/reference) for
    more details.
  title: Neynar API
  version: 3.173.0
servers:
  - url: https://api.neynar.com
security:
  - ApiKeyAuth: []
tags:
  - description: Operations related to user
    externalDocs:
      description: More info about user
      url: https://docs.neynar.com/reference/user-operations
    name: User
  - description: Operations related to signer
    externalDocs:
      description: More info about signer
      url: https://docs.neynar.com/reference/signer-operations
    name: Signer
  - description: Operations related to cast
    externalDocs:
      description: More info about cast
      url: https://docs.neynar.com/reference/cast-operations
    name: Cast
  - description: Operations related to feed
    externalDocs:
      description: More info about feed
      url: https://docs.neynar.com/reference/feed-operations
    name: Feed
  - description: Operations related to reaction
    externalDocs:
      description: More info about reaction
      url: https://docs.neynar.com/reference/reaction-operations
    name: Reaction
  - description: Operations related to notifications
    externalDocs:
      description: More info about notifications
      url: https://docs.neynar.com/reference/notifications-operations
    name: Notifications
  - description: Operations related to channels
    externalDocs:
      description: More info about channels
      url: https://docs.neynar.com/reference/channel-operations
    name: Channel
  - description: Operations related to follows
    externalDocs:
      description: More info about follows
      url: https://docs.neynar.com/reference/follows-operations
    name: Follows
  - description: Operations related to storage
    externalDocs:
      description: More info about storage
      url: https://docs.neynar.com/reference/storage-operations
    name: Storage
  - description: Operations related to mini apps
    name: Frame
  - description: Operations for building AI agents
    name: Agents
  - description: Operations related to fname
    name: fname
  - description: Operations related to a webhook
    name: Webhook
  - description: >-
      Securely communicate and perform actions on behalf of users across
      different apps
    externalDocs:
      description: More info about farcaster actions
      url: https://docs.neynar.com/docs/farcaster-actions-spec
    name: Action
  - description: Operations related to a subscriptions
    name: Subscribers
  - description: Operations related to a mute
    name: Mute
  - description: Operations related to a block
    name: Block
  - description: Operations related to a ban
    name: Ban
  - description: Operations related to onchain data
    name: Onchain
  - description: Operations related to login
    name: Login
  - description: Operations related to retrieving metrics
    name: Metrics
  - description: Operations related to mini app host notifications
    externalDocs:
      description: More info about mini app host notifications
      url: https://docs.neynar.com/docs/app-host-notifications
    name: App Host
paths:
  /v2/fungible/:
    post:
      tags:
        - Onchain
      summary: Deploy fungible
      description: |-
        Creates a new token.
        This is an allowlisted API, reach out if you want access.
      operationId: deploy-fungible
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/DeployFungibleReqBody'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeployFungibleResponse'
          description: Success
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorRes'
          description: Bad Request
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorRes'
          description: Server Error
      externalDocs:
        url: https://docs.neynar.com/reference/deploy-fungible
components:
  schemas:
    DeployFungibleReqBody:
      properties:
        factory:
          default: wow
          description: |-
            Factory name
            - wow -> [wow.xyz](https://wow.xyz)
            - clanker -> [clanker.world](https://www.clanker.world)
          enum:
            - wow
            - clanker
          type: string
        metadata[description]:
          description: Description of the token
          type: string
        metadata[discord]:
          description: Discord server link
          type: string
        metadata[media]:
          description: |-
            Media file associated with the token. 
            Supported formats are image/jpeg, image/gif and image/png
          format: binary
          nullable: true
          type: string
        metadata[nsfw]:
          description: Indicates if the token is NSFW (Not Safe For Work).
          enum:
            - 'true'
            - 'false'
          type: string
        metadata[telegram]:
          description: Telegram link
          type: string
        metadata[twitter]:
          description: Twitter profile link
          type: string
        metadata[website_link]:
          description: Website link related to the token
          type: string
        name:
          description: Name of the token
          type: string
        network:
          default: base
          description: Network/Chain name
          enum:
            - base
          type: string
        owner:
          description: Ethereum address of the one who is creating the token
          type: string
        symbol:
          description: Symbol/Ticker for the token
          type: string
      required:
        - owner
        - symbol
        - name
      title: DeployFungibleReqBody
      type: object
    DeployFungibleResponse:
      properties:
        contract:
          properties:
            fungible:
              properties:
                address:
                  description: Contract address of the token
                  type: string
                decimals:
                  description: Decimal precision of the token
                  type: integer
                media:
                  description: URI of the token media
                  type: string
                name:
                  description: Name of the token
                  type: string
                object:
                  example: fungible
                  type: string
                symbol:
                  description: Symbol of the token
                  type: string
              type: object
          type: object
      title: DeployFungibleResponse
      type: object
    ErrorRes:
      description: Details for the error response
      properties:
        code:
          type: string
        message:
          type: string
        property:
          type: string
        status:
          format: int32
          type: integer
      required:
        - message
      title: ErrorRes
      type: object
  securitySchemes:
    ApiKeyAuth:
      description: API key to authorize requests
      in: header
      name: x-api-key
      type: apiKey
      x-default: NEYNAR_API_DOCS

````